summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author eroc <eroc@linuxmail.org>2010-05-11 15:00:29 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:00:29 +0200
commit3ec5795d5620451d6971702c74078f771b3fac22 (patch)
tree7b803ed3642c6e2de6aaaf31a78b696fa3639608
parenteff9e0d365e1adcaf1db99bd7426f07b743066ad (diff)
downloadslackbuilds-3ec5795d5620451d6971702c74078f771b3fac22.tar.gz
slackbuilds-3ec5795d5620451d6971702c74078f771b3fac22.tar.xz
multimedia/orpheus: Initial import
-rw-r--r--multimedia/orpheus/README7
-rw-r--r--multimedia/orpheus/orpheus.SlackBuild58
-rw-r--r--multimedia/orpheus/orpheus.info8
-rw-r--r--multimedia/orpheus/slack-desc11
4 files changed, 84 insertions, 0 deletions
diff --git a/multimedia/orpheus/README b/multimedia/orpheus/README
new file mode 100644
index 0000000000..ae3a7639eb
--- /dev/null
+++ b/multimedia/orpheus/README
@@ -0,0 +1,7 @@
+Orpheus is a light-weight text mode menu and window driven audio
+player application for CDs, internet stream broadcasts, and files
+in MP3 and Ogg Vorbis format.
+
+Support for CDDB requires libghttp, which is also available at
+SlackBuilds.org.
+
diff --git a/multimedia/orpheus/orpheus.SlackBuild b/multimedia/orpheus/orpheus.SlackBuild
new file mode 100644
index 0000000000..b41b1d5a6e
--- /dev/null
+++ b/multimedia/orpheus/orpheus.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Slackware build script for orpheus.
+# Written by eroc <eroc@linuxmail.org>
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=orpheus
+VERSION=1.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R a-s,u+rw,go-w .
+
+# If the C*FLAGS are declared, then its going to result in an error:
+# "can only configure for one host and one target at a time"
+# so its better to unset them
+# This is not *our* bug - feel free to notify the upstream authors... :)
+unset CFLAGS CXXFLAGS
+./configure \
+ --prefix=/usr \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/man/man1
+gzip -c9 orpheus.1 > $PKG/usr/man/man1/orpheus.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog FAQ INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/orpheus/orpheus.info b/multimedia/orpheus/orpheus.info
new file mode 100644
index 0000000000..91ddc7b288
--- /dev/null
+++ b/multimedia/orpheus/orpheus.info
@@ -0,0 +1,8 @@
+PRGNAM="orpheus"
+VERSION="1.6"
+HOMEPAGE="http://thekonst.net/en/orpheus"
+DOWNLOAD="http://thekonst.net/download/orpheus-1.6.tar.bz2"
+MD5SUM="1c6c07fbdd0ad9001c3f9fbf8cd68551"
+MAINTAINER="eroc"
+EMAIL="eroc@linuxmail.org"
+APPROVED="robw810"
diff --git a/multimedia/orpheus/slack-desc b/multimedia/orpheus/slack-desc
new file mode 100644
index 0000000000..7e0b0e0bf9
--- /dev/null
+++ b/multimedia/orpheus/slack-desc
@@ -0,0 +1,11 @@
+orpheus: orpheus - A light-weight text mode menu- and audio player.
+orpheus:
+orpheus: Orpheus is a light-weight text mode menu- and window-driven audio
+orpheus: player application for CDs, internet stream broadcasts and files in
+orpheus: MP3 and Vorbis OGG format.
+orpheus:
+orpheus: Homepage: http://thekonst.net/en/orpheus
+orpheus:
+orpheus:
+orpheus:
+orpheus: